careCycle
CustomersCustom fields

Create customer custom field value

Create a new custom field value for a customer

POST
/v2/customers/{id}/custom-fields

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

POST /v2/customers/:id/custom-fields Request body

TypeScript Definitions

Use the request body type in TypeScript.

string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string | null
string | null
boolean | null
string | null
string | null
array | null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/custom-fields" \  -H "Content-Type: application/json" \  -d '{    "fieldDefinitionId": "079f459a-0b19-4274-98b0-427a624178ff"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "string",
  "updatedAt": "string",
  "fieldDefinitionId": "079f459a-0b19-4274-98b0-427a624178ff",
  "recordId": "0470cfd4-dcf3-4d8c-ac28-58c6deeff25f",
  "recordType": "customers",
  "textValue": "string",
  "numberValue": "string",
  "booleanValue": true,
  "dateValue": "string",
  "selectValue": "string",
  "multiSelectValue": [
    "string"
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}